Red Hat OpenShift Enterprise release 2.0.8 is now available with updatedpackages that fix a bug.

OpenShift Enterprise by Red Hat is the company’s cloud computingPlatform-as-a-Service (PaaS) solution designed for on-premise or private clouddeployments.This update fixes the following bug:* The subscription-manager package version 1.10.7 and higher now incorporatesthe “content override” feature, which typically requires network communicationwith a back-end server. As a result, certain oo-admin-yum-validator functionsrelated to subscription-manager, which had previously only operated on the localfile system in older subscription-manager versions, could now raise unhandledexceptions due to network failures. This bug fix wraps routines depending onsubscription-manager in exception-handling blocks, and scripts which depend onthe oo-admin-yum-validator command can now detect that it failed due to networkerrors. Administrators are now presented with a relevant error message insteadof a confusing stack trace. (BZ#1166270)All OpenShift Enterprise users are advised to upgrade to these updated packages.
Before applying this update, make sure all previously released errata relevantto your system have been applied.This update is available via the Red Hat Network. Details on how to use the RedHat Network to apply this update are available athttps://access.redhat.com/articles/11258.Red Hat OpenShift Enterprise 2

SRPMS:
openshift-enterprise-upgrade-2.0.11.7-1.el6op.src.rpm
    MD5: 819695f9d8eed207072b30d93a70967eSHA-256: 5a8c7a4f750bab9a5bba234cdcb92fa7eeeaf378f57964f6bb1abeeb3f55570f
 
x86_64:
openshift-enterprise-release-2.0.11.7-1.el6op.noarch.rpm
    MD5: a0457317a39a3cfda811e798b3f2809dSHA-256: cf94a8a39321a754a8bb446e8e6998540ab4008ce4a4233bd773ae089d27802e
openshift-enterprise-upgrade-broker-2.0.11.7-1.el6op.noarch.rpm
    MD5: b21c3ba54d60033bc0da710640e5ead3SHA-256: 141060e3e595ce7b054503abcee03905109896c637d373ec8b68363bab3c1be8
openshift-enterprise-upgrade-node-2.0.11.7-1.el6op.noarch.rpm
    MD5: a5cf214417e4d14c8b4b830dbb2ed3c9SHA-256: f5965800bc9f78e5a047b355a3199d4b3d2464ad3937d870b98342562a055ec9
openshift-enterprise-yum-validator-2.0.11.7-1.el6op.noarch.rpm
    MD5: 9ecd9c80badaf4266ec7646564b4c765SHA-256: afb38ef36dd27cb87c64fef2c8d08140c1b748107eb5b13eeb52160a8c79e340
 
(The unlinked packages above are only available from the Red Hat Network)
1166270 – OSE 2.0: oo-admin-yum-validator doesn’t handle error code from failed subscription-manager repo-override calls

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from:

Leave a Reply